> For the complete documentation index, see [llms.txt](https://en.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.monaca.io/products_guide/monaca_ide/monaca_ci/firebase.md).

# Deploy to Firebase

{% hint style="warning" %}
Deploy to Firebase is available only for PWA-built applications.
{% endhint %}

## Preparation

For deployment, you need to prepare a `project ID` and`API token`.

### How to get a project ID

1. At [Firebase Console](https://console.firebase.google.com), click **Add project**.
2. The project ID is displayed in the red frame below.

![](/files/-MffzSTTa12Xxq22i7P8)

### How to get an API token

1. Install Firebase CLI according to the [Firebase CLI Guide](https://firebase.google.com/docs/hosting/quickstart).
2. After installing the Firebase CLI, get the token with the following command.

   ```
   firebase login:ci
   ```

## Register a deploy service

You are ready to add the Firebase infomation to Monaca. Please do as follows:

1. From the Monaca Cloud IDE menu, go to **Configure → Deploy Services**.
2. Click **Add Deploy Service**.
3. Select **Firebase** and fill in the required information:
   * `Config Alias`: a unique identifier for each service.
   * `API Token`: API Token provided by Firebase.
   * `Project ID`: Project ID displayed on the Firebase console.
4. Then, click **Add**.

## Start deployment

Using the registered deployment service, we can start deploying the app to the Firebase.

1. Please refer to [Building for PWA](/products_guide/monaca_ide/build/build_pwa.md) for the build procedure.
2. After the build is completed, navigate to the build result page.
3. Execute the deployment from the build result page. Since the registered deployment services show up at the bottom of the page, click the services of your choice to start the distribution process.

![](/files/-Mfg-KiQCYwmSeA5P4JD)

See Also:

* [Building for PWA](/products_guide/monaca_ide/build/build_pwa.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/monaca_ci/firebase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
